SRD Standelone programmation box: tRFIDCtrl Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tRFIDCtrl Struct Reference

Define a structure to control the RFID operation. More...

`#include "RFIDManager.h"`

## Data Fields

union {
struct {
unsigned short write: 1
unsigned short read: 1
unsigned short bridge: 1
unsigned short RSVD: 13
} bits
unsigned short all
} | request
tRFIDState | state
unsigned long | subState
tRFIDResultError | result
tRFIDLpm | lpm
unsigned char | bridgeCommand [RFIDMANAGER_BRIDGE_MAX_COMMAND_LENGTH]
unsigned short | bridgeCommandLength
unsigned long | msRef

## Detailed Description

Define a structure to control the RFID operation.

Definition at line 209 of file RFIDManager.h.

## Field Documentation

unsigned short tRFIDCtrl::all

gloal access

Definition at line 217 of file RFIDManager.h.

Referenced by RFIDDealer(), and RFIDManager().

struct { ... } tRFIDCtrl::bits

bits access

Referenced by ButtonManagerDealer(), RFIDBridgeStateMachine(), RFIDManager(), RFIDManagerSendBridgeCommand(), RFIDReadStateMachine(), and RFIDWriteStateMachine().

unsigned short tRFIDCtrl::bridge

RFID bridge operation

Definition at line 214 of file RFIDManager.h.

unsigned char tRFIDCtrl::bridgeCommand[RFIDMANAGER_BRIDGE_MAX_COMMAND_LENGTH]

Bridge command buffer

Definition at line 225 of file RFIDManager.h.

Referenced by RFIDBridgeStateMachine(), and RFIDManagerSendBridgeCommand().

unsigned short tRFIDCtrl::bridgeCommandLength

Bridge command length

Definition at line 227 of file RFIDManager.h.

Referenced by RFIDBridgeStateMachine(), and RFIDManagerSendBridgeCommand().

tRFIDLpm tRFIDCtrl::lpm

RFID low power mode

Definition at line 223 of file RFIDManager.h.

Referenced by PowerManagerLPMController(), RFIDManager(), and RFIDManagerInit().

unsigned long tRFIDCtrl::msRef

millisenconds reference time use to control the manager

Definition at line 229 of file RFIDManager.h.

Referenced by RFIDBridgeStateMachine(), RFIDManager(), and RFIDManagerInit().

unsigned short tRFIDCtrl::read

RFID read operation

Definition at line 213 of file RFIDManager.h.

union { ... } tRFIDCtrl::request

current RFID request

Referenced by ButtonManagerDealer(), RFIDBridgeStateMachine(), RFIDDealer(), RFIDManager(), RFIDManagerSendBridgeCommand(), RFIDReadStateMachine(), and RFIDWriteStateMachine().

tRFIDResultError tRFIDCtrl::result

RFID error

Definition at line 221 of file RFIDManager.h.

Referenced by ButtonManagerDealer(), RFIDBridgeStateMachine(), RFIDManager(), RFIDReadStateMachine(), and RFIDWriteStateMachine().

unsigned short tRFIDCtrl::RSVD

RESERVED

Definition at line 215 of file RFIDManager.h.

tRFIDState tRFIDCtrl::state

RFID manager global current state

Definition at line 219 of file RFIDManager.h.

Referenced by ButtonManagerDealer(), RFIDBridgeStateMachine(), RFIDDealer(), RFIDExtLpmStateMachine(), RFIDIntLpmStateMachine(), RFIDManager(), RFIDManagerInit(), RFIDReadStateMachine(), and RFIDWriteStateMachine().

unsigned long tRFIDCtrl::subState

RFID manager sub current state

Definition at line 220 of file RFIDManager.h.

Referenced by RFIDBridgeStateMachine(), RFIDExtLpmStateMachine(), RFIDIntLpmStateMachine(), RFIDManager(), RFIDReadStateMachine(), and RFIDWriteStateMachine().

unsigned short tRFIDCtrl::write

RFID write operation

Definition at line 212 of file RFIDManager.h.

The documentation for this struct was generated from the following file:

- RFIDManager.h